Name:           qdevelop
Version:        0.27.4
Release:        3%{?dist}
Summary:        Development environment dedicated to Qt4

Group:          Development/Tools
License:        GPLv2+
URL:            http://qdevelop.org/
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# fix failure to compile a project with Qt 4.5.1 (#497734)
Patch0:         qdevelop-0.27.4-qt451.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel

%description
QDevelop is a development environment entirely dedicated to Qt4,
which requires Qt4, gcc under Linux or MinGW under Windows,
possibly gdb for program debugging and ctags for code completion.


%prep
%setup -q
%patch0 -p1 -b .qt451
# for wrong-script-end-of-line-encoding
sed -i -e 's/\r//' README.txt
# hardcoded lib path 
sed -i -e "s/lib/%{_lib}/" src/mainimpl.cpp

%build
qmake-qt4 -recursive 
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -Dm 644 -p resources/images/logo.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="" \
  --mode 644 \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
  %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt ChangeLog.txt copying 
%{_bindir}/qdevelop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Thu Apr 30 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.27.4-3
- Fix failure to compile a project with Qt 4.5.1 (#497734, patch by Than Ngo)
* Wed Apr 22 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.27.4-2
- Rebuild for Qt 4.5
* Thu Mar  5 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.27.4-1
- Rebuild for 0.27.4
* Sat Feb 28 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.27.2-2
- Fix desktop file
* Fri Feb 27 2009 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.27.2-1
- Rebuild for 0.27.2
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.26.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Sun Dec  7 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.26.1-2
- Removed optional requires
- Patch to avoid segfault at startup
* Thu Nov  6 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.26.1-1
- Rebuild for 0.26.1
- Remove patch (no more usefull)
* Mon Jul 21 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-7
- minor changes
* Wed May 28 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-6.fc9
- Fedora version check fixed to take care of version 10
* Mon May 26 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-5.fc9
- Fedora version < 9 managed
* Sat May 17 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-4.fc9.eponyme
- Files permissions fixed
- QT version check added
* Wed May 14 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-3.fc9.eponyme
- Changelog version fix
- End of line encoding fixed for README.txt file
- Remove usage of $RPM_BUILD_ROOT for qmake-qt4, replaced by sed in install section
- Remove tab chars in spec description
* Tue May 13 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-2.fc9.eponyme
- Add menu icon
* Mon May 12 2008 Nicoleau Fabien <nicoleau.fabien@gmail.com> - 0.25.2-1.fc9.eponyme
- First release
